From: "Sergei Trofimovich" <slyfox@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/jq/
Date: Mon, 10 Jul 2017 09:32:38 +0000 (UTC) [thread overview]
Message-ID: <1499679153.01b4cc080b9dcecb9db614fb91b921e4d08d8cbd.slyfox@gentoo> (raw)
commit: 01b4cc080b9dcecb9db614fb91b921e4d08d8cbd
Author: Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 10 09:32:23 2017 +0000
Commit: Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Mon Jul 10 09:32:33 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01b4cc08
app-misc/jq: make valgrind optional for tests
Some arches like alpha, ia64 or x86 on modern toolchain
do not support valgrind. Tests are still useful to run.
Package-Manager: Portage-2.3.6, Repoman-2.3.2
app-misc/jq/jq-1.5-r3.ebuild | 60 ++++++++++++++++++++++++++++++++++++++++++++
app-misc/jq/metadata.xml | 1 +
2 files changed, 61 insertions(+)
diff --git a/app-misc/jq/jq-1.5-r3.ebuild b/app-misc/jq/jq-1.5-r3.ebuild
new file mode 100644
index 00000000000..0d2d67b5b72
--- /dev/null
+++ b/app-misc/jq/jq-1.5-r3.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools eutils
+
+DESCRIPTION="A lightweight and flexible command-line JSON processor"
+HOMEPAGE="https://stedolan.github.com/jq/"
+SRC_URI="https://github.com/stedolan/jq/releases/download/${P}/${P}.tar.gz"
+
+LICENSE="MIT CC-BY-3.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~x86 ~amd64-linux ~x64-macos"
+IUSE="oniguruma static-libs test +valgrind"
+
+DEPEND="
+ >=sys-devel/bison-3.0
+ sys-devel/flex
+ oniguruma? ( dev-libs/oniguruma[static-libs?] )
+ test? ( valgrind? ( dev-util/valgrind ) )
+"
+RDEPEND="
+ !static-libs? (
+ oniguruma? ( dev-libs/oniguruma[static-libs?] )
+ )
+"
+
+src_prepare() {
+ local PATCHES=(
+ "${FILESDIR}"/${PN}-1.5-dynamic-link.patch
+ "${FILESDIR}"/${PN}-1.5-remove-automagic-dep-on-oniguruma.patch
+ "${FILESDIR}"/${PN}-1.5-heap_buffer_overflow_in_tokenadd.patch
+ )
+
+ sed -i '/^dist_doc_DATA/d' Makefile.am || die
+ sed -i -r "s:(m4_define\(\[jq_version\],) .+\):\1 \[${PV}\]):" \
+ configure.ac || die
+
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local econfargs=(
+ # don't try to rebuild docs
+ --disable-docs
+ $(use_enable static-libs static)
+ $(use_enable valgrind)
+ $(use_with oniguruma)
+ )
+ econf "${econfargs[@]}"
+}
+
+src_install() {
+ local DOCS=( AUTHORS README )
+ default
+
+ use static-libs || prune_libtool_files
+}
diff --git a/app-misc/jq/metadata.xml b/app-misc/jq/metadata.xml
index d9b5cb1343c..ef652ee00bf 100644
--- a/app-misc/jq/metadata.xml
+++ b/app-misc/jq/metadata.xml
@@ -7,6 +7,7 @@
</maintainer>
<use>
<flag name="oniguruma">Use dev-libs/oniguruma for regular expression support</flag>
+ <flag name="valgrind">Depend on dev-util/vagrind for test suite</flag>
</use>
<upstream>
<remote-id type="github">stedolan/jq</remote-id>
next reply other threads:[~2017-07-10 9:32 UTC|newest]
Thread overview: 52+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-07-10 9:32 Sergei Trofimovich [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-04-18 5:34 [gentoo-commits] repo/gentoo:master commit in: app-misc/jq/ Michał Górny
2024-04-06 12:32 Arthur Zamarin
2024-04-06 12:32 Arthur Zamarin
2023-12-13 20:39 Patrick McLean
2023-10-06 17:05 Arthur Zamarin
2023-10-06 14:55 Sam James
2023-10-06 14:31 Sam James
2023-10-06 14:29 Sam James
2023-09-07 21:40 Patrick McLean
2023-08-30 1:57 Patrick McLean
2023-08-08 2:16 Patrick McLean
2023-06-22 11:14 Fabian Groffen
2023-06-22 8:31 Fabian Groffen
2023-02-28 18:30 Patrick McLean
2023-02-28 1:30 Sam James
2023-02-10 22:18 Patrick McLean
2022-08-25 7:07 WANG Xuerui
2021-08-23 22:59 Marek Szuba
2021-04-18 2:58 Sam James
2021-03-04 0:23 Sam James
2021-02-05 12:31 Sam James
2021-02-04 18:21 Patrick McLean
2020-03-17 18:13 Patrick McLean
2019-11-19 15:40 Agostino Sarubbo
2019-11-19 2:06 Patrick McLean
2019-11-19 1:46 Patrick McLean
2019-11-19 1:34 Patrick McLean
2019-11-19 1:28 Patrick McLean
2019-11-17 5:08 Tim Harder
2019-09-28 2:59 Tim Harder
2019-04-17 18:07 Aaron Bauman
2019-04-13 4:14 Robin H. Johnson
2019-04-13 4:07 Robin H. Johnson
2018-12-05 23:54 Patrick McLean
2018-10-16 9:18 Tobias Klausmann
2017-09-23 10:29 Tim Harder
2017-09-23 10:27 Tim Harder
2017-09-23 10:25 Tim Harder
2017-09-17 11:42 Sergei Trofimovich
2017-09-17 11:14 Sergei Trofimovich
2017-08-17 19:12 Tim Harder
2017-08-17 19:12 Tim Harder
2017-07-21 17:54 Thomas Deutschmann
2017-07-11 19:56 Sergei Trofimovich
2017-07-10 7:08 Sergei Trofimovich
2017-06-29 8:24 Fabian Groffen
2016-08-08 15:30 Tim Harder
2016-02-01 22:53 Patrick McLean
2016-02-01 22:53 Patrick McLean
2016-01-09 1:14 Patrick McLean
2015-12-22 13:51 Fabian Groffen
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1499679153.01b4cc080b9dcecb9db614fb91b921e4d08d8cbd.slyfox@gentoo \
--to=slyfox@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox